<template>
  <div class="tableInner">
    <el-input v-model="list[itemProp]" @blur="changeInput" />
  </div>
</template>
<script>
export default {
  name: "InputArea",
  props: {
    injectData: {
      type: Object,
      default: () => ({}),
    },
    itemProp: {
      type: String,
    },
  },
  data() {
    return {
      list: this.injectData,
    };
  },
  methods: {
    changeInput() {
      this.list.sType = 1
      this.$emit("emitData", this.list,1);
    },
  },
};
</script>
<style scoped>
.tableInner .el-input__inner {
  border: none;
  padding: 0;
  height: 33px;
}
</style>
